Subject: Re: IPv6 tunnel scalability problem

From: Andi Kleen <[email-masked]>
Date: Mon, 01 Sep 2008 14:04:58 +0200

Rémi Denis-Courmont <[email-masked]> writes:

> I have been maintaining a TUN-based Linux implementation of Teredo/RFC4380. On 
> a busy node, this can trigger quite many peers on the virtual point-to-point 
> tunnel interface. I have received complaints that the whole thing seems to 
> hit some severe performance bottleneck when this happens. It is not clear to 
> me at this point whether it's a kernel or a user problem. So I have been 
> writing a stress test.

You could use oprofile to find out where the CPU time is going.
That would work even during normal operation. Post the opreport -l output

-Andi

-- 
[email-masked]